org.appng.persistence.repository

## Class SearchRepositoryFactoryBean<R extends SearchRepository<T,I>,T,I extends Serializable>

- java.lang.Object
- - org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport<T,S,ID>
  - - org.springframework.data.repository.core.support.TransactionalRepositoryFactoryBeanSupport<T,S,ID>
    - - org.springframework.data.jpa.repository.support.JpaRepositoryFactoryBean<R,T,I>
      - - org.appng.persistence.repository.SearchRepositoryFactoryBean<R,T,I>

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.FactoryBean<R>, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationEventPublisherAware, org.springframework.data.repository.core.support.RepositoryFactoryInformation<T,I>

      public class SearchRepositoryFactoryBean<R extends SearchRepository<T,I>,T,I extends Serializable>
      extends org.springframework.data.jpa.repository.support.JpaRepositoryFactoryBean<R,T,I>

  A custom `JpaRepositoryFactoryBean`.
  See 4.6.2. Adding custom behavior to all repositories from the reference Documentation for further details.
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchRepositoryFactoryBean(Class<? extends R> repositoryInterface)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.data.repository.core.support.RepositoryFactorySupport` | `createRepositoryFactory(javax.persistence.EntityManager entityManager)`

    - ### Methods inherited from class org.springframework.data.jpa.repository.support.JpaRepositoryFactoryBean

      `afterPropertiesSet, doCreateRepositoryFactory, setEntityManager, setEscapeCharacter, setMappingContext`

    - ### Methods inherited from class org.springframework.data.repository.core.support.TransactionalRepositoryFactoryBeanSupport

      `createRepositoryFactory, setBeanFactory, setEnableDefaultTransactions, setTransactionManager`

    - ### Methods inherited from class org.springframework.data.repository.core.support.RepositoryFactoryBeanSupport

      `getEntityInformation, getObject, getObjectType, getPersistentEntity, getQueryMethods, getRepositoryInformation, isSingleton, setApplicationEventPublisher, setBeanClassLoader, setCustomImplementation, setEvaluationContextProvider, setLazyInit, setNamedQueries, setQueryLookupStrategyKey, setRepositoryBaseClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchRepositoryFactoryBean

          public SearchRepositoryFactoryBean(Class<? extends R> repositoryInterface)

  - ### Method Detail

    - #### createRepositoryFactory

          protected org.springframework.data.repository.core.support.RepositoryFactorySupport createRepositoryFactory(javax.persistence.EntityManager entityManager)

      Overrides:
        `createRepositoryFactory` in class `org.springframework.data.jpa.repository.support.JpaRepositoryFactoryBean<R extends SearchRepository<T,I>,T,I extends Serializable>`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.